@import url("Common.css");
@import url('../components/basketform.css');
@import url('../components/CreditCard.css');

/**** BASKET PAGE ******/


.basket-message strong, .basket-message .title {
    font-weight: 700;
    font-size: 20px;
}

.basket-message p {
    line-height: 1.7;
    font-weight: 700;
}

.basket-message .sub-title {
    font-size: 18px;
    font-weight: 700;
}

.basket-message strong ion-icon {
    font-size: 20px;
    vertical-align: middle;
}

.basket-main-body .ht-title {
    font-size: 25px;
    margin: 15px 0px;
}

.basket-main-body .accordion-header {
    border-top: 1px solid #707070;
    border-bottom: 1px solid #707070;
    padding: 10px 0px;
}

.basket-main-body .accordion-body {
    padding: 15px;
}

.basket-main-body .form-group {
    width: 70%;
}
.basket-main-body #creditcard .form-group {
    width: 100%;
}

    .basket-main-body .form-group .input-wrapper {
    }


            .basket-main-body .form-group .input-wrapper input:focus, .basket-main-body .form-group .input-wrapper select:focus {
                border-color: var(--primary-color);
            }

        .basket-main-body .form-group .input-wrapper textarea:focus {
            border: 1px solid var(--primary-color);
        }

.basket-main-body .info-message-green {
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: 0px;
    border-radius: 0px;
    padding: 5px 10px;
}

.basket-main-body .basket-required {
    color: red !important;
}

.basket-main-body .prod-side-nav .sidebar-title {
    padding: 15px;
}

.basket-main-body h3 {
    margin-top: 20px;
}

/*.basket-main-body .form-group .input-wrapper label {
    font-size: 14px;
    font-weight: 600;
}

    .basket-main-body .form-group .input-wrapper label span {
        color: red;
        font-weight: 600;
        margin-left: 5px;
    }

.basket-main-body .form-group p {
    margin-bottom: 0px;
    margin-top: 10px;
}

.basket-main-body .form-group .input-wrapper .form-check {
    margin-top: 5px;
}

.basket-main-body .card-form-box .form-group {
    width: 100%;
}*/

.basket-main-body .card-price {
    font-size: 20px;
    font-weight: 700;
    font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
}

    .basket-main-body .card-price small {
        font-size: inherit;
        margin-right: 2px;
        color: inherit;
    }

.basket-main-body .form-group .form-check {
    vertical-align: middle;
}

    .basket-main-body .form-group .form-check .form-check-label {
        margin: auto;
    }

        .basket-main-body .form-group .form-check .form-check-label p {
            margin: 0;
        }

.basket-main-body .card_btn {
    text-align: right;
}

    .basket-main-body .card_btn .ctaBtn-green {
        border: none;
        font-size: 20px;
        padding: 15px 30px;
        /*border-radius: var(--main-border-radius);*/
        font-weight: 700;
        margin-bottom: 15px;
    }

        .basket-main-body .card_btn .ctaBtn-green:hover {
        }

.basket-main-body .form-check-input:checked ~ .form-check-label:after {
    background-color: var(--primary-color);
    border-color: var(--primary-color) !important;
}

.basket-main-body .paymentoption-item {
    padding: 15px;
    border: 1px solid #707070;
    border-radius: var(--main-border-radius);
    cursor: pointer;
}

    .basket-main-body .paymentoption-item .payment-details {
        position: relative;
    }

        .basket-main-body .paymentoption-item .payment-details .payment-title {
            font-size: 18px;
            font-weight: 700;
        }

        .basket-main-body .paymentoption-item .payment-details .payment-desc {
            font-size: 16px;
        }

        .basket-main-body .paymentoption-item .payment-details .payment-amount {
            position: absolute;
            top: 0;
            right: 15px;
            font-size: 18px;
            font-weight: 700;
        }

    .basket-main-body .paymentoption-item ion-icon {
        font-size: 30px;
        color: var(--primary-color);
    }

.basket-main-body .payment-option.selected {
    /* box-shadow: 2px 2px 8px 0px;*/
    border: 1px solid var(--primary-color);
}

.payment-option {
    width: 95%;
    margin: auto;
    border-radius: var(--main-border-radius);
    border: 1px solid #d3d3d3;
    margin-bottom: 15px;
    overflow: hidden;
    box-shadow: 2px 2px 6px 0px rgb(0 0 0 / 12%);
}

.deposit-options .payment-option {
    box-shadow: none;
}

.basket-main-body .payment-option.noshadow {
    box-shadow: none !important;
}

.basket-main-body .payment-option.not-selected:hover {
    box-shadow: 6px 6px 12px 0px rgba(0,0,0,0.12);
}

.basket-main-body .payment-option .selected-tick {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    border: 25px solid transparent;
    border-right-color: var(--primary-color);
    border-top-color: var(--primary-color);
    border-radius: 0px var(--main-border-radius) 0px 0px;
}

.basket-main-body .payment-option.selected .selected-tick {
    display: block;
}

.basket-main-body .selected-tick ion-icon {
    position: absolute;
    bottom: 0;
    color: #fff;
    display: block;
    font-size: 20px;
    --ionicon-stroke-width: 50px;
}

.low-deposit-label {
    background: #d3f3f0;
    color: var(--primary-color);
    padding: 2px 10px;
    width: max-content;
    border-bottom-right-radius: 15px;
    font-weight: 700;
    font-size: 14px;
}

.payment-option .heading {
    padding-top: 10px;
    padding-bottom: 5px;
    font-size: 18px;
    font-weight: 700;
}

    .payment-option .heading.primary-color {
        font-size: 16px;
        margin: 10px 0;
    }

.payment-option .Pay {
    color: var(--primary-color);
    font-size: 18px;
    font-weight: 700;
}

.payment-option .description {
    font-size: 13px;
    margin-bottom: 10px;
}

#deposit-details, #installment-details {
    display: none;
}
/* #installment-details .Pay.row .col-8, #deposit-details .Pay.row .col-8 {
        font-weight: 300;
        font-size: 16px;
    }*/

.installment-heading {
    font-weight: 700 !important;
    margin: 15px 0;
    font-size: 15px !important;
}

.Pay.installment {
    border-bottom: 1px solid #e3e3e3;
    padding: 2px 0;
}

    .Pay.installment .date {
        font-weight: 500;
        font-size: 14px;
    }

    .Pay.installment .price {
        font-size: 18px !important;
        color: var(--dark-text-color);
        text-align: right;
    }

.Pay .price {
    font-size: 18px !important;
    color: var(--dark-text-color);
    text-align: right;
}

.active-card {
    box-shadow: 2px 2px 8px 0px;
    border: 2px solid var(--primary-color) !important;
}

.basket-main-body .prod-side-nav {
    padding: 0px;
    padding-bottom: 10px;
    margin-top: 15px;
    top: 10px;
}

/**** BASKET PAGE END ******/